## wiliki 0.4

=== Makefile ===
CONFIG_GENERATED = config.log config.status autom4te*.cache VERSION
.PHONY: all clean test check install distclean realclean

all:
	cd src; $(MAKE)

clean:
	rm -f core *~
	cd src; $(MAKE) clean
	cd test; $(MAKE) clean

check: test

test:
	cd test; $(MAKE) check

install: all
	cd src; $(MAKE) install

distclean: clean
	cd src; $(MAKE) distclean
	cd test; $(MAKE) distclean
	rm -rf $(CONFIG_GENERATED)

maintainer-clean: clean
	cd src; $(MAKE) maintainer-clean
	cd test; $(MAKE) maintainer-clean
	rm -rf $(CONFIG_GENERATED) configure

=== src/Makefile ===
GOSH = /usr/bin/gosh
GAUCHE_CONFIG = /usr/bin/gauche-config
INSTALL_TYPE = site
INSTALL = /usr/bin/install -c

SCMFILES = wiliki.scm \
	   wiliki/db.scm \
	   wiliki/edit.scm \
           wiliki/format.scm \
           wiliki/history.scm \
           wiliki/log.scm \
           wiliki/mcatalog.scm \
           wiliki/macro.scm \
           wiliki/rss.scm \
           wiliki/pasttime.scm

TARGET = $(SCMFILES) wiliki/msgs.jp

SCM_INSTALL_DIR = $(DESTDIR)`$(GAUCHE_CONFIG) --$(INSTALL_TYPE)libdir`

all : wiliki/msgs.jp

wiliki/msgs.jp: wiliki/msgs.jp.euc
	$(GOSH) -ugauche.charconv -e '(call-with-input-file "wiliki/msgs.jp.euc" (lambda (in) (call-with-output-file "wiliki/msgs.jp" (cut copy-port in <> :unit (quote char)))) :encoding "euc-jp")' -Eexit

extract :
	$(GOSH) ./extract.scm wiliki/msgs.jp.euc $(SCMFILES)

install :
	if test ! -d $(SCM_INSTALL_DIR)/wiliki; then \
	  $(INSTALL) -d $(SCM_INSTALL_DIR)/wiliki; \
	fi
	for f in $(TARGET); do \
	  $(INSTALL) -m 444 $$f $(SCM_INSTALL_DIR)/$$f; \
	done

clean :
	rm -f core *~ wiliki/*~ wiliki/*.orig wiliki/msgs.jp

distclean : clean
	rm -f Makefile

maintainer-clean :
	rm -f Makefile

check :

test :

=== test/Makefile ===
GOSH = /usr/bin/gosh
TEST_OUT = test.log logger.log test.dbm
TESTS = format.scm log.scm

all:

check : test

test :
	@rm -f $(TEST_OUT)
	@for t in $(TESTS); do \
	  $(GOSH) -I. -I../src $$t >> test.log; \
	done

clean :
	rm -rf core $(TEST_OUT) *~

distclean : clean
	rm -f Makefile

maintainer-clean : clean
	rm -f Makefile

## wiliki 0.5

=== Makefile ===
--- 
+++ 
@@ -3,26 +3,29 @@
 
 all:
 	cd src; $(MAKE)
+	cd doc; $(MAKE)
 
 clean:
 	rm -f core *~
 	cd src; $(MAKE) clean
+	cd doc; $(MAKE) clean
 	cd test; $(MAKE) clean
 
-check: test
-
-test:
+check:
 	cd test; $(MAKE) check
 
 install: all
 	cd src; $(MAKE) install
+	cd doc; $(MAKE) install
 
 distclean: clean
 	cd src; $(MAKE) distclean
+	cd doc; $(MAKE) distclean
 	cd test; $(MAKE) distclean
 	rm -rf $(CONFIG_GENERATED)
 
 maintainer-clean: clean
 	cd src; $(MAKE) maintainer-clean
+	cd doc; $(MAKE) maintainer-clean
 	cd test; $(MAKE) maintainer-clean
 	rm -rf $(CONFIG_GENERATED) configure

=== doc/Makefile ===
SHELL       = /bin/sh
prefix      = /usr/local
exec_prefix = ${prefix}
bindir      = ${exec_prefix}/bin
libdir      = ${exec_prefix}/lib
srcdir      = .

top_builddir = ../
top_srcdir   = ..

GOSH = /usr/bin/gosh
GAUCHE_CONFIG = /usr/bin/gauche-config
INSTALL_TYPE = site
INSTALL = /usr/bin/install -c
WILIKI = $(GOSH) -I../src $(top_srcdir)/bin/wiliki

TEXTDIR = manual-ja
HTMLDIR = manual-html-ja

GENERATED = $(HTMLDIR)

all : 

$(HTMLDIR)/index.html :
	$(WILIKI) format manual-ja manual-html-ja

install :

clean :
	rm -rf core *~ manual-ja/*~ $(GENERATED)

distclean : clean
	rm -f Makefile

maintainer-clean :
	rm -f Makefile

check :

test :

=== src/Makefile ===
--- 
+++ 
@@ -11,17 +11,25 @@
            wiliki/log.scm \
            wiliki/mcatalog.scm \
            wiliki/macro.scm \
+           wiliki/util.scm \
            wiliki/rss.scm \
-           wiliki/pasttime.scm
+           wiliki/rssmix.scm \
+           wiliki/pasttime.scm \
+	   wiliki/version.scm
 
 TARGET = $(SCMFILES) wiliki/msgs.jp
 
+GENERATED = wiliki/msgs.jp wiliki/version.scm
+
 SCM_INSTALL_DIR = $(DESTDIR)`$(GAUCHE_CONFIG) --$(INSTALL_TYPE)libdir`
 
-all : wiliki/msgs.jp
+all : wiliki/msgs.jp wiliki/version.scm
 
 wiliki/msgs.jp: wiliki/msgs.jp.euc
 	$(GOSH) -ugauche.charconv -e '(call-with-input-file "wiliki/msgs.jp.euc" (lambda (in) (call-with-output-file "wiliki/msgs.jp" (cut copy-port in <> :unit (quote char)))) :encoding "euc-jp")' -Eexit
+
+wiliki/version.scm : ../VERSION
+	$(GOSH) ./gen-version ../VERSION > wiliki/version.scm
 
 extract :
 	$(GOSH) ./extract.scm wiliki/msgs.jp.euc $(SCMFILES)
@@ -35,7 +43,7 @@
 	done
 
 clean :
-	rm -f core *~ wiliki/*~ wiliki/*.orig wiliki/msgs.jp
+	rm -f core *~ wiliki/*~ wiliki/*.orig $(GENERATED)
 
 distclean : clean
 	rm -f Makefile

=== test/Makefile ===
GOSH = /usr/bin/gosh
TEST_OUT = test.log logger.log test.dbm _test
TESTS = format.scm log.scm test-wiliki.scm

all: gosh-path

gosh-path :
	echo "$(GOSH)" > gosh-path

check : all
	@rm -rf $(TEST_OUT)
	@for t in $(TESTS); do \
	  $(GOSH) -I. -I../src $$t >> test.log; \
	done

clean :
	rm -rf core gosh-path $(TEST_OUT) *~

distclean : clean
	rm -f Makefile

maintainer-clean : clean
	rm -f Makefile

## wiliki 0.6.2

=== debian/changelog ===
wiliki (0.6.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild on buildd with .buildinfo files. 
  * debian/control: Fix Vcs-* fields.
  * debian/control: Bump Standards-Version to 4.5.1.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Jan 2021 15:19:35 -0500

wiliki (0.6.2-1) unstable; urgency=low

  * New upstream release. (Closes: #520761)
  * Use 3.0 (quilt) source format.
  * debian/watch: Fixed. (Closes: #450327)
  * debian/postrm: Removed.  Leave /var/lib/wiliki on purge.
  * debian/control: Add Recommends: apache2 | httpd-cgi.
  * debian/wiliki.install: Install /usr/share/wiliki/www/wiliki.css.
  * debian/README.Debian: Revised.
  * debian/copyright: Revised.

 -- YAEGASHI Takeshi <yaegashi@debian.org>  Tue, 04 Oct 2011 01:00:15 +0900

wiliki (0.5.3-1.1) unstable; urgency=high

  * Non-maintainer upload with maintainer's ACK.
  * debian/control
    - set "Build-Depends: gauche-dev", not gauche to fix configure works 
     (Closes: #608210) 

 -- Hideki Yamane <henrich@debian.org>  Thu, 30 Dec 2010 00:10:12 +0900

wiliki (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * src/wiliki.scm (cmd-view): Accept the pagename with whitespaces.

 -- YAEGASHI Takeshi <yaegashi@debian.org>  Mon, 19 Dec 2005 03:26:59 +0900

wiliki (0.5.1-1) unstable; urgency=low

  * New upstream release.

 -- YAEGASHI Takeshi <yaegashi@debian.org>  Fri,  3 Jun 2005 21:47:24 +0900

wiliki (0.5-1) unstable; urgency=low

  * New upstream release.

 -- YAEGASHI Takeshi <yaegashi@debian.org>  Sun,  5 Dec 2004 23:43:32 +0900

wiliki (0.4-2) unstable; urgency=low

  * src/wiliki/db.scm: Use srfi-1. closes: #234287.

 -- YAEGASHI Takeshi <yaegashi@debian.org>  Tue, 24 Feb 2004 19:55:01 +0900

wiliki (0.4-1) unstable; urgency=low

  * New upstream release.

 -- YAEGASHI Takeshi <yaegashi@debian.org>  Thu,  9 Oct 2003 03:52:03 +0900

wiliki (0.3+030913-1) unstable; urgency=low

  * New upstream release.

 -- YAEGASHI Takeshi <yaegashi@debian.org>  Sat, 13 Sep 2003 02:32:09 +0900

wiliki (0.3+030824-1) unstable; urgency=low

  * New upstream release.

 -- YAEGASHI Takeshi <yaegashi@debian.org>  Sun, 24 Aug 2003 21:37:00 +0900

wiliki (0.3+030815-1) unstable; urgency=low

  * New upstream release.

 -- YAEGASHI Takeshi <yaegashi@debian.org>  Fri, 15 Aug 2003 06:32:57 +0900

wiliki (0.3+030405-1) unstable; urgency=low
    
  * New upstream release.
  * src/wiliki.cgi: Set the default title to "Debian WiLiKi".  Commented
    out style-sheet argument.
  * debian/TODO.Debian: Renamed.
  * debian/rules: Specify DH_OPTIONS=-Pdebian/tmp.

 -- YAEGASHI Takeshi <yaegashi@debian.org>  Sun,  6 Apr 2003 03:33:09 +0900

wiliki (0.3+030328-2) unstable; urgency=low

  * debian/TODO: Memos on possible improvements of packaging.
  * First upload, closes: #186512.

 -- YAEGASHI Takeshi <yaegashi@debian.org>  Fri, 28 Mar 2003 22:57:41 +0900

wiliki (0.3+030328-1) unstable; urgency=low

  * New upstream version (pulled from CVS).

 -- YAEGASHI Takeshi <yaegashi@debian.org>  Fri, 28 Mar 2003 03:09:01 +0900

wiliki (0.3-2) unstable; urgency=low

  * src/wiliki.scm: Support ftp/http/https links.

 -- YAEGASHI Takeshi <yaegashi@debian.org>  Wed,  5 Mar 2003 00:21:27 +0900

wiliki (0.3-1) unstable; urgency=low

  * New upstream release

 -- YAEGASHI Takeshi <yaegashi@debian.org>  Tue,  4 Mar 2003 01:03:14 +0900

wiliki (0.2-1) unstable; urgency=low

  * Initial Release.

 -- YAEGASHI Takeshi <t@keshi.org>  Fri, 20 Dec 2002 18:30:05 +0900

=== debian/control ===
Source: wiliki
Section: web
Priority: optional
Maintainer: YAEGASHI Takeshi <yaegashi@debian.org>
Build-Depends: debhelper (>= 7.0.50~), gauche-dev, gauche-gdbm
Standards-Version: 4.5.1
Homepage: http://practical-scheme.net/wiliki/wiliki.cgi
Vcs-Git: https://salsa.debian.org/debian/wiliki.git
Vcs-Browser: https://salsa.debian.org/debian/wiliki

Package: wiliki
Architecture: all
Depends: gauche, gauche-gdbm, ${misc:Depends}
Recommends: apache2 | httpd-cgi
Description: Yet another Wiki clone written in Scheme
 WiLiKi is yet another Wiki-clone suitable for intra-net collaborative
 work in multilingual environment.  The features include multiple
 back-end databases, permission and version control, and easy access
 from other programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ROOTDIR=$(CURDIR)/debian/wiliki
RSSMIX=$(ROOTDIR)/usr/share/gauche-*/site/lib/wiliki/rssmix.scm
CGI=$(ROOTDIR)/usr/lib/cgi-bin/wiliki.cgi

%:
	dh $@ 

override_dh_auto_configure:
	./configure --prefix=/usr

override_dh_auto_install:
	dh_auto_install
	rm -f $(RSSMIX)
	sed -e '/:db-path "/,+6c\
     :db-path "/var/lib/wiliki/wikidata.dbm"\
     :log-file "wikidata.log"\
     :top-page "WiLiKi"\
     :title "Debian WiLiKi"\
     :description "Debian'\''s Default WiLiKi Site"\
     :style-sheet "/wiliki/wiliki.css"\
     :language '\''en\
     :charsets '\''((jp . utf-8) (en . utf-8))' src/wiliki.cgi > $(CGI)
	chmod +x $(CGI)

=== debian/watch ===
version=3
http://sf.net/wiliki/WiLiKi-(.*)\.tgz
